/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "rpg/world/map.h"
#include "asset/assetjson.h"

/**
 * Loads an entity from the specified JSON object.
 * 
 * @param jEnt JSON object to load the entity from.
 * @param map Map to load the entity into.
 */
void assetMapLoadEntity(
  assetjson_t *jEnt,
  map_t *map
);

/**
 * Loads a map from the specified path.
 * 
 * @param path Path to the map file.
 * @param map Map to load the data into.
 */
void assetMapLoad(
  const char_t *path,
  map_t *map
);