/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "entity.h"
#include "rpg/world/tile.h"

/**
 * Interacts with an entity.
 * 
 * @param source Entity that is interacting.
 * @param target Entity that is being interacted with.
 */
void entityInteractEntity(
  entity_t *source,
  entity_t *target
);

/**
 * Interacts with a tile.
 * 
 * @param source Entity that is interacting.
 * @param tile Tile that is being interacted with.
 */
void entityInteractTile(
  entity_t *source,
  tile_t tile
);