/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "sign.h"
#include "assert/assert.h"

void signInit(sign_t *sign) {
  assertNotNull(sign, "signInit: Sign is NULL!");
  sign->text[0] = '\0';
}

void signTextSet(sign_t *sign, const char_t *text) {
  assertNotNull(sign, "signTextSet: Sign is NULL!");
  assertNotNull(text, "signTextSet: Text is NULL!");
  strncpy(sign->text, text, TEXTBOX_TEXT_MAX);
}