/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "ui/textbox.h"

typedef struct {
  char_t text[TEXTBOX_TEXT_MAX + 1];
} sign_t;

/**
 * Initializes a sign.
 * 
 * @param sign Sign to initialize.
 */
void signInit(sign_t *sign);

/**
 * Sets the text of a sign.
 * 
 * @param sign Sign to set text for.
 * @param text Text to set.
 */
void signTextSet(sign_t *sign, const char_t *text);