/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dawn.h"

typedef enum {
  TILE_NULL = 0,
  TILE_GRASS = 1,
  TILE_WATER = 2,
  // TILE_DOOR = 3,
  TILE_BUILDING_WALL = 4,
  TILE_ROOF = 5
} tile_t;

/**
 * Returns whether or not the tile is solid.
 * 
 * @param tile Tile to check.
 * @return True if the tile is solid, false otherwise.
 */
bool_t tileIsSolid(const tile_t tile);