/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "trigger.h"
#include "assert/assert.h"

void triggerInit(
  trigger_t *trigger,
  const triggertype_t type,
  const uint16_t x,
  const uint16_t y,
  const uint16_t width,
  const uint16_t height
) {
  assertNotNull(trigger, "Trigger cannot be NULL.");
  assertTrue(
    width > 0,
    "Trigger width must be greater than 0."
  );
  assertTrue(
    height > 0,
    "Trigger height must be greater than 0."
  );

  memset(trigger, 0, sizeof(trigger_t));
  trigger->type = type;
  trigger->x = x;
  trigger->y = y;
  trigger->width = width;
  trigger->height = height;
}

void triggerOnStep(trigger_t *trigger, entity_t *entity) {
  assertNotNull(trigger, "Trigger cannot be NULL.");
  assertNotNull(entity, "Entity cannot be NULL.");
  
  printf("Trigger\n");
}